# node-poweredup Class: MoveHub

# Class: MoveHub

## MoveHub

#### new MoveHub()

  The MoveHub is emitted if the discovered device is a Move Hub.

  Source:
    - hubs/movehub.js, line 31

### Extends

- LPF2Hub
- BaseHub

### Members

#### <readonly> batteryLevel

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `batteryLevel` | number | Battery level of the hub (Percentage between 0-100)

  Inherited From:
    - BaseHub#batteryLevel
  Overrides:
    - BaseHub#batteryLevel
  Source:
    - hubs/basehub.js, line 141

#### <readonly> firmwareVersion

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `firmwareVersion` | string | Firmware version of the hub

  Inherited From:
    - BaseHub#firmwareVersion
  Overrides:
    - BaseHub#firmwareVersion
  Source:
    - hubs/basehub.js, line 113

#### <readonly> hardwareVersion

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `hardwareVersion` | string | Hardware version of the hub

  Inherited From:
    - BaseHub#hardwareVersion
  Overrides:
    - BaseHub#hardwareVersion
  Source:
    - hubs/basehub.js, line 120

#### <readonly> name

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `name` | string | Name of the hub

  Inherited From:
    - BaseHub#name
  Overrides:
    - BaseHub#name
  Source:
    - hubs/basehub.js, line 92

#### <readonly> ports

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `ports` | Array.<string> | Array of port names

  Inherited From:
    - BaseHub#ports
  Overrides:
    - BaseHub#ports
  Source:
    - hubs/basehub.js, line 106

#### <readonly> primaryMACAddress

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `primaryMACAddress` | string | Primary MAC address of the hub

  Inherited From:
    - BaseHub#primaryMACAddress
  Overrides:
    - BaseHub#primaryMACAddress
  Source:
    - hubs/basehub.js, line 127

#### <readonly> rssi

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `rssi` | number | Signal strength of the hub

  Inherited From:
    - BaseHub#rssi
  Overrides:
    - BaseHub#rssi
  Source:
    - hubs/basehub.js, line 148

#### <readonly> type

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `type` | string | Hub type

  Inherited From:
    - BaseHub#type
  Overrides:
    - BaseHub#type
  Source:
    - hubs/basehub.js, line 99

#### <readonly> uuid

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `uuid` | string | UUID of the hub

  Inherited From:
    - BaseHub#uuid
  Overrides:
    - BaseHub#uuid
  Source:
    - hubs/basehub.js, line 134

### Methods

#### createVirtualPort(firstPortName, secondPortName)

  Combines two ports with into a single virtual port.

  Note: The devices attached to the ports must be of the same device type.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `firstPortName` | string | First port name
  `secondPortName` | string | Second port name

  Inherited From:
    - LPF2Hub#createVirtualPort
  Source:
    - hubs/lpf2hub.js, line 90

  ##### Returns:

  Resolved upon successful issuance of command.

  Type
    Promise

#### setName(name)

  Set the name of the Hub.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `name` | string | New name of the hub (14 characters or less, ASCII only).

  Inherited From:
    - LPF2Hub#setName
  Source:
    - hubs/lpf2hub.js, line 61

  ##### Returns:

  Resolved upon successful issuance of command.

  Type
    Promise

#### shutdown()

  Shutdown the Hub.

  Inherited From:
    - LPF2Hub#shutdown
  Source:
    - hubs/lpf2hub.js, line 53

  ##### Returns:

  Resolved upon successful disconnect.

  Type
    Promise

### Events

#### button

  Emits when a button is pressed.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `button` | string |
  `state` | ButtonState |

  Inherited From:
    - LPF2Hub#event:button
  Source:
    - hubs/lpf2hub.js, line 182

#### Search results